using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using WebApplication11.Data;
using WebApplication11.Models;

namespace WebApplication11.Controllers
{
	public class FoosController : BaseController<Foo, int>
	{
		public FoosController(DataContext context, UserManager<ApplicationUser> usermanager, RoleManager<IdentityRole> rolemanager) : base(context, usermanager, rolemanager)
		{
		}

		// GET: Foos
		public async Task<IActionResult> Index()
		{
			return View();
		}
	}
}