﻿using WebApplication11.Models;
using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WebApplication11.Data
{
	public static class Extensions
	{
		public static async Task<M> FindAsync<M,N>(this DbSet<M> dbset, N key) where M : class, IModel<M,N>
		{
			return await dbset.FirstOrDefaultAsync(a => a.Key.Equals(key));
		}
	}
}
